﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ThemeApplicationResource
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }
        private void Switch_Toggled(object sender, ToggledEventArgs e)
        {
            ApplyTheme();
        }

        public void ApplyTheme()
        {
            var mergedDictionaries = Application.Current.Resources.MergedDictionaries;
            mergedDictionaries.Clear();
            if (switchMode.IsToggled)
                mergedDictionaries.Add(new DarkAutoMerge());
            else
                mergedDictionaries.Add(new LightAutoMerge());
        }

        public class ViewModel : INotifyPropertyChanged
        {

            private bool toggled;
            public bool Toggled
            {
                get { return toggled; }
                set
                {
                    toggled = value;

                }
            }
            public event PropertyChangedEventHandler PropertyChanged;

            public void RaisePropertyChanged(string name)
            {
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs(name));
                }
            }
            public ViewModel()
            {

            }
        }
    }
}
