﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ThemeApplicationResource.ThemeApplicationResource;
using Xamarin.Forms;

namespace ThemeApplicationResource
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }
        private void Switch_Toggled(object sender, ToggledEventArgs e)
        {
            ApplyTheme(e.Value);
        }
        private void Button_Clicked(object sender, EventArgs e)
        {
            Navigation.PushAsync(new SecondPage());
        }

        public void ApplyTheme(bool isLightTheme)
        {
            ICollection<ResourceDictionary> mergedDictionaries = Application.Current.Resources.MergedDictionaries;
            ICollection<ResourceDictionary> innermergedDeictionaries = (mergedDictionaries.ToList()[0] as ResourceDictionary).MergedDictionaries;
            if (isLightTheme)
            {
                var darkTheme = innermergedDeictionaries.OfType<DarkAutoMerge>().FirstOrDefault();
                if (darkTheme != null)
                {
                    innermergedDeictionaries.Remove(darkTheme);
                }
                innermergedDeictionaries.Add(new LightAutoMerge());
            }
            else
            {
                var lightTheme = innermergedDeictionaries.OfType<LightAutoMerge>().FirstOrDefault();
                if (lightTheme != null)
                {
                    innermergedDeictionaries.Remove(lightTheme);
                }
                innermergedDeictionaries.Add(new DarkAutoMerge());
            }
        }

        public class ViewModel : INotifyPropertyChanged
        {

            private bool toggled;
            public bool Toggled
            {
                get { return toggled; }
                set
                {
                    toggled = value;

                }
            }
            public event PropertyChangedEventHandler PropertyChanged;

            public void RaisePropertyChanged(string name)
            {
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs(name));
                }
            }
            public ViewModel()
            {

            }
        }

      
    }
}
